<?php

	include("../conexion.php");
	set_time_limit(800);

	if (substr($_FILES['excel']['name'],-3)=="csv")
	{
		$fecha		= date("Y-m-d");
		$carpeta 	= "tmp_excel/";
		$excel  	= $fecha."-".$_FILES['excel']['name'];

		move_uploaded_file($_FILES['excel']['tmp_name'], "$carpeta$excel");
		
		$row = 1;

		$fp = fopen ("$carpeta$excel","r");

		//fgetcsv. obtiene los valores que estan en el csv y los extrae.

		while ($data = fgetcsv ($fp, 2000, ";"))
		{
			//si la linea es igual a 1 no guardamos por que serian los titulos de la hoja del excel.
			if ($row!=1)
			{

				$num = count($data);

			echo	$insertar="INSERT INTO combos (com_id,com_referencia,com_barras,com_nombre,com_estado,empresa) 
				values('$data[0]','$data[1]','$data[1]','$data[2]','Activo','1')";
				$sql = mysqli_query($con, $insertar);

		
			
			}

		$row++;

		}

		fclose ($fp);

		echo "<div>La importacion de archivo subio satisfactoriamente</div >";
		
		exit;

	}

?>